%define	version	0.4.0
%define release	1mdk

Summary:	Mozilla plugin for displaying various kinds of file
Name:		mozilla-bonobo
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://www.nongnu.org/moz-bonobo/
Source:		http://savannah.nongnu.org/download/moz-bonobo/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	mozilla-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprint2-2-devel
Prereq:		GConf2 >= 2.3.3

%description
%{name} is a netscape-compatible browser plugin which allows your
browser to use bonobo controls to display supported mime types.

%prep
%setup -q

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x \
	--with-plugin-install-dir=%{_libdir}/mozilla/plugins
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# move pre-installed doc to correct location
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_prefix}/doc/%{name} %{buildroot}%{_docdir}/%{name}-%{version}
rmdir %{buildroot}%{_prefix}/doc

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in %{name}; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in %{name}; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/mozilla/plugins/*.so

%changelog
* Fri Feb 06 2004 Abel Cheung <deaddog@deaddog.org> 0.4.0-1mdk
- First Mandrake package
